Skip to main content

Reporting

For a deeper dive into Cova Reporting APIs, see Cova Reporting API guide
Cova Reporting API Guide
Base URL: https://api.covasoft.net/reporting

Endpoints​

EndpointDescription
GET companies/{companyId}/reportsReturns all available reports for a Company
GET companies/{companyId}/reports/{reportId}Returns the details of a specific report
POST companies/{companyId}/reports/{reportId}/runreportExecutes a particular report and returns the results

GET companies/{companyId}/reports​

Returns all available reports for a Company

The Cova Reporting API guide contains critical information regarding parameter processing.

Base URL:​

https://api.covasoft.net/reporting

Example of a call would be:​

https://api.covasoft.net/reporting/companies/{companyId})/reports

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
companyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired

Body Parameters​

None.

Response Information​

Resource Description​

All reports for a Company

Collection of ReportDefinition

NameDescriptionTypeAdditional information
IdThe unique identifier of the report.globally unique identifierNone.
NameThe name of the report.stringNone.
DescriptionDescription of the report.stringNone.
CreatedDateUtcThe UTC date that the report was created. This attribute is readonly and will be ignored if provided on POST and PUT.dateNone.
CategoryUsed to group reports into categories.stringNone.
ParametersParameters that can be specified for this report.Collection of ReportParameterNone.

Response Formats​

application/json, text/json

[
{
"Id": "37cbb8f1-41b6-4b6d-8004-87979783aa1d",
"Name": "sample string 2",
"Description": "sample string 3",
"CreatedDateUtc": "2026-10-02T17:43:51.4499539+00:00",
"Category": "sample string 5",
"Parameters": [
{
"Name": "sample string 1",
"Required": true,
"Label": "sample string 3",
"Options": [
{
"Id": {},
"Label": "sample string 2"
},
{
"Id": {},
"Label": "sample string 2"
}
],
"Multiple": true,
"DataType": "sample string 5"
},
{
"Name": "sample string 1",
"Required": true,
"Label": "sample string 3",
"Options": [
{
"Id": {},
"Label": "sample string 2"
},
{
"Id": {},
"Label": "sample string 2"
}
],
"Multiple": true,
"DataType": "sample string 5"
}
]
},
{
"Id": "37cbb8f1-41b6-4b6d-8004-87979783aa1d",
"Name": "sample string 2",
"Description": "sample string 3",
"CreatedDateUtc": "2026-10-02T17:43:51.4499539+00:00",
"Category": "sample string 5",
"Parameters": [
{
"Name": "sample string 1",
"Required": true,
"Label": "sample string 3",
"Options": [
{
"Id": {},
"Label": "sample string 2"
},
{
"Id": {},
"Label": "sample string 2"
}
],
"Multiple": true,
"DataType": "sample string 5"
},
{
"Name": "sample string 1",
"Required": true,
"Label": "sample string 3",
"Options": [
{
"Id": {},
"Label": "sample string 2"
},
{
"Id": {},
"Label": "sample string 2"
}
],
"Multiple": true,
"DataType": "sample string 5"
}
]
}
]

Models​

ReportParameter
NameDescriptionTypeAdditional information
NameThe name of the parameter.stringNone.
RequiredWhether or not it is required that the parameter be supplied.booleanNone.
LabelstringNone.
OptionsValues to display in the parameter.Collection of ParameterOptionNone.
MultipleIndicates whether or not selecting multiple values is allowed for the parameter.booleanNone.
DataTypeThe type of the parameter as defined by the reporting service.stringNone.
ParameterOption
NameDescriptionTypeAdditional information
IdObjectNone.
LabelstringNone.

GET companies/{companyId}/reports/{reportId}​

Returns the details of a specific report

The Cova Reporting API guide contains critical information regarding parameter processing.

Base URL:​

https://api.covasoft.net/reporting

Example of a call would be:​

https://api.covasoft.net/reporting/companies/{companyId})/reports/{reportId}

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
companyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired
reportIdThe report Identifierglobally unique identifierRequired

Body Parameters​

None.

Response Information​

Resource Description​

the requested report

ReportDefinition

NameDescriptionTypeAdditional information
IdThe unique identifier of the report.globally unique identifierNone.
NameThe name of the report.stringNone.
DescriptionDescription of the report.stringNone.
CreatedDateUtcThe UTC date that the report was created. This attribute is readonly and will be ignored if provided on POST and PUT.dateNone.
CategoryUsed to group reports into categories.stringNone.
ParametersParameters that can be specified for this report.Collection of ReportParameterNone.

Response Formats​

application/json, text/json

{
"Id": "f98d6ed2-4d25-4a2a-b90b-fd9a0c42f7f0",
"Name": "sample string 2",
"Description": "sample string 3",
"CreatedDateUtc": "2026-10-02T17:43:53.8461744+00:00",
"Category": "sample string 5",
"Parameters": [
{
"Name": "sample string 1",
"Required": true,
"Label": "sample string 3",
"Options": [
{
"Id": {},
"Label": "sample string 2"
},
{
"Id": {},
"Label": "sample string 2"
}
],
"Multiple": true,
"DataType": "sample string 5"
},
{
"Name": "sample string 1",
"Required": true,
"Label": "sample string 3",
"Options": [
{
"Id": {},
"Label": "sample string 2"
},
{
"Id": {},
"Label": "sample string 2"
}
],
"Multiple": true,
"DataType": "sample string 5"
}
]
}

Models​

ReportParameter
NameDescriptionTypeAdditional information
NameThe name of the parameter.stringNone.
RequiredWhether or not it is required that the parameter be supplied.booleanNone.
LabelstringNone.
OptionsValues to display in the parameter.Collection of ParameterOptionNone.
MultipleIndicates whether or not selecting multiple values is allowed for the parameter.booleanNone.
DataTypeThe type of the parameter as defined by the reporting service.stringNone.
ParameterOption
NameDescriptionTypeAdditional information
IdObjectNone.
LabelstringNone.

POST companies/{companyId}/reports/{reportId}/runreport​

Executes a particular report and returns the results

The Cova Reporting API guide contains critical information regarding parameter processing.

Base URL:​

https://api.covasoft.net/reporting

Example of a call would be:​

https://api.covasoft.net/reporting/companies/{companyId})/reports/{reportId}/runreport

Request Information​

URI Parameters​

NameDescriptionTypeAdditional information
companyIdThe unique Company Id that was provided in your onboarding pacakageintegerRequired
reportIdThe report Identifierglobally unique identifierRequired

Body Parameters​

Report request with required parameters

ReportRequest

NameDescriptionTypeAdditional information
ParametersReportRequestParametersNone.

Request Formats​

application/json, text/json

{
"Parameters": {
"DateRange": {
"StartDate": "2026-10-02T17:43:56.3461958+00:00",
"EndDate": "2026-10-02T17:43:56.3461958+00:00",
"DateRangeType": 3
},
"Parameter1": "sample string 1",
"Parameter2": "sample string 2",
"ParameterN": "sample string 3"
}
}

Response Information​

Resource Description​

All reports for a Company

Object

None.

Response Formats​

application/json, text/json

{}

Models​

ReportRequestParameters
NameDescriptionTypeAdditional information
DateRangeReportDateRangeNone.
Parameter1Additional parameters as defined by the report.stringNone.
Parameter2stringNone.
ParameterNstringNone.
ReportDateRange
NameDescriptionTypeAdditional information
StartDatedateNone.
EndDatedateNone.
DateRangeTypeintegerNone.